> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# TEST Calculate invoices



## OpenAPI

````yaml /openapi.json post /policies/{policyId}/generate-incremental-id
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /policies/{policyId}/generate-incremental-id:
    post:
      tags:
        - policy
        - debug
      summary: TEST Calculate invoices
      operationId: PolicyController_generateIncrementalId
      parameters:
        - name: policyId
          required: true
          in: path
          description: Unique identifier for the policy
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateIncrementalPolicyIdOutput'
        '400':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/InvalidProductErrorDto'
              examples:
                INVALID_PRODUCT:
                  $ref: '#/components/schemas/InvalidProductErrorDto'
          description: ''
components:
  schemas:
    GenerateIncrementalPolicyIdOutput:
      type: object
      properties:
        incrementalId:
          type: number
          description: Incremental policy id
        externalPolicyId:
          type: string
          description: External policy id
      required:
        - incrementalId
    InvalidProductErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_PRODUCT
        message:
          type: string
          example: Invalid product {product}
        details:
          $ref: '#/components/schemas/InvalidProductDetailsDto'
      required:
        - code
        - message
        - details
    InvalidProductDetailsDto:
      type: object
      properties:
        tenant:
          type: string
        product:
          type: string
        expectedProduct:
          type: string
      required:
        - product

````